### Class

# Gimp DrawableFilterConfig

since: 3.0

#### Description [src]

    abstract class Gimp.DrawableFilterConfig : GObject.Object
    {
      /* No available fields */
    }

The base class for `GimpDrawableFilter` specific config objects.

A drawable filter config is created by a `GimpDrawableFilter` using `gimp_drawable_filter_get_config()` and its properties match the filter’s arguments in number, order and type.

Available since: 3.0

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpDrawableFilterConfigClass {
      GObjectClass parent_class;
      void (* _gimp_reserved0) (
    void
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );
      void (* _gimp_reserved9) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gimp_reserved0: void (* _gimp_reserved0) ( void )`

  No description available.

`_gimp_reserved1: void (* _gimp_reserved1) ( void )`

  No description available.

`_gimp_reserved2: void (* _gimp_reserved2) ( void )`

  No description available.

`_gimp_reserved3: void (* _gimp_reserved3) ( void )`

  No description available.

`_gimp_reserved4: void (* _gimp_reserved4) ( void )`

  No description available.

`_gimp_reserved5: void (* _gimp_reserved5) ( void )`

  No description available.

`_gimp_reserved6: void (* _gimp_reserved6) ( void )`

  No description available.

`_gimp_reserved7: void (* _gimp_reserved7) ( void )`

  No description available.

`_gimp_reserved8: void (* _gimp_reserved8) ( void )`

  No description available.

`_gimp_reserved9: void (* _gimp_reserved9) ( void )`

  No description available.